#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

group = "agents/" + _("Agent Plugins")

register_rule(group,
    "agent_config:apt",
    Alternative(
        title = _("APT (Community Version) updates (Linux)"),
        help = _("This will deploy the agent plugin <tt>apt</tt>. This will activate the "
                 "check <tt>apt</tt> on DEB-based hosts (like Debian and Ubuntu) and monitor pending normal and security updates."),
        style = "dropdown",
        elements = [
            Dictionary(
                title = _("Deploy the APT plugin"),
                elements = [
                    ( "interval",
                      Age(title = "Interval for checking for updates"),
                    ),
                ],
                optional_keys = False,
            ),
            FixedValue(None, title = _("Do not deploy the APT plugin"), totext = _("(disabled)")),
        ],
        default_value = { "interval": 129600, },
    )
)
